/**
 * RoleClassInactiveIngredient.java
 *
 * File generated from the medication::RoleClassInactiveIngredient uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassInactiveIngredient.
 *
 * 
 */

@XmlType(name = "RoleClassInactiveIngredient")
@XmlEnum
@XmlRootElement(name = "RoleClassInactiveIngredient")
public enum RoleClassInactiveIngredient {
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL");
	
	private final String value;

    RoleClassInactiveIngredient(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassInactiveIngredient fromValue(String v) {
        for (RoleClassInactiveIngredient c: RoleClassInactiveIngredient.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}